Package com.ocient.jdbc.proto

# Class ClientWireProtocol.FetchMetadataResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.FetchMetadataResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.FetchMetadataResponseOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.FetchMetadataResponse

    public static final class ClientWireProtocol.FetchMetadataResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>
    implements ClientWireProtocol.FetchMetadataResponseOrBuilder

Protobuf type `xg.cmdcomp.FetchMetadataResponse`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.FetchMetadataResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.FetchMetadataResponse` | `build()` |
`ClientWireProtocol.FetchMetadataResponse` | `buildPartial()` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `clear()` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `clearCols2Pos()` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `clearCols2Types()` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `clearResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `clone()` |
`boolean` | `containsCols2Pos​(String key)` | `map<string, sfixed32> cols2pos = 2;`
`boolean` | `containsCols2Types​(String key)` | `map<string, string> cols2Types = 3;`
`Map<String,​Integer>` | `getCols2Pos()` | Deprecated.
`int` | `getCols2PosCount()` | `map<string, sfixed32> cols2pos = 2;`
`Map<String,​Integer>` | `getCols2PosMap()` | `map<string, sfixed32> cols2pos = 2;`
`int` | `getCols2PosOrDefault​(String key, int defaultValue)` | `map<string, sfixed32> cols2pos = 2;`
`int` | `getCols2PosOrThrow​(String key)` | `map<string, sfixed32> cols2pos = 2;`
`Map<String,​String>` | `getCols2Types()` | Deprecated.
`int` | `getCols2TypesCount()` | `map<string, string> cols2Types = 3;`
`Map<String,​String>` | `getCols2TypesMap()` | `map<string, string> cols2Types = 3;`
`String` | `getCols2TypesOrDefault​(String key, String defaultValue)` | `map<string, string> cols2Types = 3;`
`String` | `getCols2TypesOrThrow​(String key)` | `map<string, string> cols2Types = 3;`
`ClientWireProtocol.FetchMetadataResponse` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`Map<String,​Integer>` | `getMutableCols2Pos()` | Deprecated.
`Map<String,​String>` | `getMutableCols2Types()` | Deprecated.
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder` | `getResponseBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`protected com.google.protobuf.MapField` | `internalGetMapField​(int number)` |
`protected com.google.protobuf.MapField` | `internalGetMutableMapField​(int number)` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `mergeFrom​(ClientWireProtocol.FetchMetadataResponse other)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `mergeResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `putAllCols2Pos​(Map<String,​Integer> values)` | `map<string, sfixed32> cols2pos = 2;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `putAllCols2Types​(Map<String,​String> values)` | `map<string, string> cols2Types = 3;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `putCols2Pos​(String key, int value)` | `map<string, sfixed32> cols2pos = 2;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `putCols2Types​(String key, String value)` | `map<string, string> cols2Types = 3;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `removeCols2Pos​(String key)` | `map<string, sfixed32> cols2pos = 2;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `removeCols2Types​(String key)` | `map<string, string> cols2Types = 3;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.FetchMetadataResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchMetadataResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapField

protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### internalGetMutableMapField

protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### clear

public ClientWireProtocol.FetchMetadataResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.FetchMetadataResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.FetchMetadataResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.FetchMetadataResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.FetchMetadataResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### setField

public ClientWireProtocol.FetchMetadataResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### clearField

public ClientWireProtocol.FetchMetadataResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### clearOneof

public ClientWireProtocol.FetchMetadataResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### setRepeatedField

public ClientWireProtocol.FetchMetadataResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### addRepeatedField

public ClientWireProtocol.FetchMetadataResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### mergeFrom

public ClientWireProtocol.FetchMetadataResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### mergeFrom

public ClientWireProtocol.FetchMetadataResponse.Builder mergeFrom​(ClientWireProtocol.FetchMetadataResponse other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### mergeFrom

public ClientWireProtocol.FetchMetadataResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`
Throws:
  `IOException`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.FetchMetadataResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.FetchMetadataResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.FetchMetadataResponse.Builder mergeResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.FetchMetadataResponse.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2PosCount

public int getCols2PosCount()
Description copied from interface: `ClientWireProtocol.FetchMetadataResponseOrBuilder`
`map<string, sfixed32> cols2pos = 2;`

Specified by:
  `getCols2PosCount` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### containsCols2Pos

public boolean containsCols2Pos​(String key)
`map<string, sfixed32> cols2pos = 2;`

Specified by:
  `containsCols2Pos` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2Pos

@Deprecated public Map<String,​Integer> getCols2Pos()
Deprecated.
Use `getCols2PosMap()` instead.

Specified by:
  `getCols2Pos` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2PosMap

public Map<String,​Integer> getCols2PosMap()
`map<string, sfixed32> cols2pos = 2;`

Specified by:
  `getCols2PosMap` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2PosOrDefault

public int getCols2PosOrDefault​(String key, int defaultValue)
`map<string, sfixed32> cols2pos = 2;`

Specified by:
  `getCols2PosOrDefault` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2PosOrThrow

public int getCols2PosOrThrow​(String key)
`map<string, sfixed32> cols2pos = 2;`

Specified by:
  `getCols2PosOrThrow` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### clearCols2Pos

public ClientWireProtocol.FetchMetadataResponse.Builder clearCols2Pos()

### removeCols2Pos

public ClientWireProtocol.FetchMetadataResponse.Builder removeCols2Pos​(String key)
`map<string, sfixed32> cols2pos = 2;`

### getMutableCols2Pos

@Deprecated public Map<String,​Integer> getMutableCols2Pos()
Deprecated.
Use alternate mutation accessors instead.

### putCols2Pos

public ClientWireProtocol.FetchMetadataResponse.Builder putCols2Pos​(String key, int value)
`map<string, sfixed32> cols2pos = 2;`

### putAllCols2Pos

public ClientWireProtocol.FetchMetadataResponse.Builder putAllCols2Pos​(Map<String,​Integer> values)
`map<string, sfixed32> cols2pos = 2;`

### getCols2TypesCount

public int getCols2TypesCount()
Description copied from interface: `ClientWireProtocol.FetchMetadataResponseOrBuilder`
`map<string, string> cols2Types = 3;`

Specified by:
  `getCols2TypesCount` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### containsCols2Types

public boolean containsCols2Types​(String key)
`map<string, string> cols2Types = 3;`

Specified by:
  `containsCols2Types` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2Types

@Deprecated public Map<String,​String> getCols2Types()
Deprecated.
Use `getCols2TypesMap()` instead.

Specified by:
  `getCols2Types` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2TypesMap

public Map<String,​String> getCols2TypesMap()
`map<string, string> cols2Types = 3;`

Specified by:
  `getCols2TypesMap` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2TypesOrDefault

public String getCols2TypesOrDefault​(String key, String defaultValue)
`map<string, string> cols2Types = 3;`

Specified by:
  `getCols2TypesOrDefault` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### getCols2TypesOrThrow

public String getCols2TypesOrThrow​(String key)
`map<string, string> cols2Types = 3;`

Specified by:
  `getCols2TypesOrThrow` in interface `ClientWireProtocol.FetchMetadataResponseOrBuilder`

### clearCols2Types

public ClientWireProtocol.FetchMetadataResponse.Builder clearCols2Types()

### removeCols2Types

public ClientWireProtocol.FetchMetadataResponse.Builder removeCols2Types​(String key)
`map<string, string> cols2Types = 3;`

### getMutableCols2Types

@Deprecated public Map<String,​String> getMutableCols2Types()
Deprecated.
Use alternate mutation accessors instead.

### putCols2Types

public ClientWireProtocol.FetchMetadataResponse.Builder putCols2Types​(String key, String value)
`map<string, string> cols2Types = 3;`

### putAllCols2Types

public ClientWireProtocol.FetchMetadataResponse.Builder putAllCols2Types​(Map<String,​String> values)
`map<string, string> cols2Types = 3;`

### setUnknownFields

public final ClientWireProtocol.FetchMetadataResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.FetchMetadataResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchMetadataResponse.Builder>`